/*
 * Use of this software is copyright Ali Aljumaili and licensed under
 * the MIT license found in the LICENSE file associated to this repository.
 * Copyright (c) 2019, Ali Aljumaili
 *****************************************************************************
             {kmx62.c} - Driver for the accelerometer and magnetometer
*/

#ifndef DEVICES_KMX62_H_
#define DEVICES_KMX62_H_
/* ------------------------------------------------------------------------------------------------
 *                                           Includes
 * ------------------------------------------------------------------------------------------------
 */
#include <stdbool.h>

/* ------------------------------------------------------------------------------------------------
 *                                           Enums
 * ------------------------------------------------------------------------------------------------
 */

/* ------------------------------------------------------------------------------------------------
 *                                           Defines
 * ------------------------------------------------------------------------------------------------
 */

/* ------------------------------------------------------------------------------------------------
 *                                      Function Prototypes
 * ------------------------------------------------------------------------------------------------
 */
bool KMX62_Is_Connected(void);

#endif /* DEVICES_KMX62_H_ */
